package emote_test

import (
	_ "embed"
	"strings"
	"testing"

	"git.sunturtle.xyz/zephyr/kaiyan/emote"
	"github.com/google/go-cmp/cmp"
)

func TestSevenTVv3(t *testing.T) {
	got, err := emote.SevenTVv3(strings.NewReader(seventvTwin))
	if err != nil {
		t.Error(err)
	}
	want := []emote.Emote{
		{
			ID:     "01HBHC9CE00007KVA84SNERRE8",
			Name:   "powerSip",
			Source: "7TV",
			Link:   "https://7tv.app/emotes/01HBHC9CE00007KVA84SNERRE8",
			Image:  "https://cdn.7tv.app/emote/01HBHC9CE00007KVA84SNERRE8/4x.webp",
		},
		{
			ID:     "01JDTNVJADW1R4YZB3F85VVT9T",
			Name:   "Jin",
			Source: "7TV",
			Link:   "https://7tv.app/emotes/01JDTNVJADW1R4YZB3F85VVT9T",
			Image:  "https://cdn.7tv.app/emote/01JDTNVJADW1R4YZB3F85VVT9T/4x.webp",
		},
		{
			ID:     "01JE08SKFXM94FTG52GVMGFQZW",
			Name:   "IMissTwin",
			Source: "7TV",
			Link:   "https://7tv.app/emotes/01JE08SKFXM94FTG52GVMGFQZW",
			Image:  "https://cdn.7tv.app/emote/01JE08SKFXM94FTG52GVMGFQZW/4x.webp",
		},
	}
	if diff := cmp.Diff(want, got); diff != "" {
		t.Errorf("wrong emotes (+got/-want):\n%s", diff)
	}
}

//go:embed testdata/twoinone1_.7tvv3.json
var seventvTwin string
